package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.QuestionnaireQuestion;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QuestionnaireQuestionDao extends BaseDAO<Long, QuestionnaireQuestion> {


    void batchDel(@Param("questionIdList") List<Long> delQuestionnaireQuestionIdList);

    List<QuestionnaireQuestion> findByTopicId(int topicId);

    List<QuestionnaireQuestion> queryQuestionList(Integer cooperationId);

    /**
     * 根据活动类型获取问卷答案
     * @param activeType
     * @return
     */
    List<QuestionnaireQuestion> findByActiveType(@Param("activeType") String activeType, @Param("tenantId") Integer tenantId);
}